<?php

namespace App\Models\Ticket;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Ticket extends Model 
{

    protected $table = 'tickets';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function wallet()
    {
        return $this->hasOne('Wallet');
    }

    public function receiver()
    {
        return $this->hasOne('Receiver');
    }

    public function client()
    {
        return $this->hasOne('Client');
    }

}